
    <% dd = date_jour.to_s %>

    <%= abs[0] unless abs.nil? %>

    <!-- Works -->
    <% [false, true].each do |ap| %>
        <% unless @jours[service][utilisateur][dd].nil? %>
            <% unless @jours[service][utilisateur][dd][ap].nil? %>

                <!-- Transforme la cellule en bouton si mode édition actif -->
                <% if user_signed_in? && is_super_admin? && @edit_mode %>
                    <% ajout = Ajout.new(utilisateur_id: utilisateur.id, date: dd, am_pm: ap) %>
                    <% unless @jours[service][utilisateur][dd][ap][0].nil? %>
                        <% ajout.work1 = @jours[service][utilisateur][dd][ap][0].work.id %>
                    <% end %>
                    <% unless @jours[service][utilisateur][dd][ap][1].nil? %>
                        <% ajout.work2 = @jours[service][utilisateur][dd][ap][1].work.id %>
                    <% end %>
                    <% unless @jours[service][utilisateur][dd][ap][2].nil? %>
                        <% ajout.work3 = @jours[service][utilisateur][dd][ap][2].work.id %>
                    <% end %>
                    <% unless @jours[service][utilisateur][dd][ap][3].nil? %>
                        <% ajout.work4 = @jours[service][utilisateur][dd][ap][3].work.id %>
                    <% end %>
                    <% unless @jours[service][utilisateur][dd][ap][4].nil? %>
                        <% ajout.work5 = @jours[service][utilisateur][dd][ap][4].work.id %>
                    <% end %>
                    <a href="/ajouts/-1/modification?utilisateur_id=<%= utilisateur.id %>&date=<%= dd %>&am_pm=<%= ap %>&work1=<%= @jours[service][utilisateur][dd][ap][0].work.id %>&work2=<%= @jours[service][utilisateur][dd][ap][1].work.id unless @jours[service][utilisateur][dd][ap][1].nil? %>&work3=<%= @jours[service][utilisateur][dd][ap][2].work.id unless @jours[service][utilisateur][dd][ap][2].nil?%>&work4=<%= @jours[service][utilisateur][dd][ap][3].work.id unless @jours[service][utilisateur][dd][ap][3].nil?%>&work5=<%= @jours[service][utilisateur][dd][ap][4].work.id unless @jours[service][utilisateur][dd][ap][4].nil?%>" class="btn btn-default btn-xs" role="button">
                <% end %>

                <% @jours[service][utilisateur][dd][ap].each do |wl| %>
                    <!-- Change la couleur pour certains works -->
                    <% cl = "" %>
                    <% if @konfiguration %>
                        
                        <% if (wl.work.code.downcase == @konfiguration[:jours_specific_month_keep_attention_code].downcase) and (Date.parse(dd).wday == @konfiguration[:jours_specific_month_keep_attention_day].to_i) %>
                            <% #if wl.work.code.downcase == "qc" && Date.parse(dd).wday==5 %>
                            
                            <% cl = "keep_attention" %>
                        <% end %>
                        
                    <% end %>
                    <!-- Affiche le works -->
                    <% unless ap %>
                        <% label = "" %>
                    <% else %>
                        <% label = "label label-info" %>
                    <% end %>
                    <% label = "label label-warning" if wl.work.mark %>
                    <span class="<%= label %> <%= cl %>">
                        <strong><%= wl.work.code %></strong>
                    </span>
                <% end %>

                <% if @jours[service][utilisateur][dd]["notes"][ap] %>
                    <span data-toggle="tooltip" title="<%= @jours[service][utilisateur][dd]["notes"][ap] %>">(!)</span>
                <% end %>

                <% if user_signed_in? && is_super_admin? && @edit_mode %>
                    </a>
                <% end %>

            <% else %>
                <!-- TODO -->

            <% end %>

        <% else %>
            
            


        <% end %>
    <% end %>


    <!-- Si il existe un job au même jour dans un autre servcie, écrire une note -->
            <% @services.each do |autre_service| %>
                <% if autre_service != service %>
                    <% if @jours[autre_service] %>
                        <% if @jours[autre_service][utilisateur] %>
                            <% if @jours[autre_service][utilisateur][dd] %>
                                <% [false, true].each do |autre_ap| %>
                                    <% if @jours[autre_service][utilisateur][dd][autre_ap] %>
                                        <span title="<%= autre_service.nom %>" class="already_a_job"><i>
                                        <% i_wl = 0 %>
                                        [<% @jours[autre_service][utilisateur][dd][autre_ap].each do |autre_wl| %><%= autre_wl.work.code %><%= "&nbsp;".html_safe if i_wl < (@jours[autre_service][utilisateur][dd][autre_ap].count-1) %><% i_wl += 1 %><% end %>]
                                        </i></span>
                                    <% end %>
                                    <br>
                                <% end %>
                            <% end %>
                        <% end %>
                    <% end %>
                <% end %>
            <% end %>


    <% bg = "" %>
